Page MenuHomePhabricator

efl_ui_collection: honor desktop vs. touch setting of elm config
ClosedPublic

Authored by bu5hm4n on Aug 20 2019, 11:12 PM.

Details

Summary

with this commit we do desktop-like selection on desktop systems:

  • Multiselect with CTRL pressed
  • Normal single selection if no CTRL is pressed

on touch devices this is simple on/off selection:

  • click to add it to multiselect
  • click to remote it from mutliselect

ref T8057
Depends on D9663

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Aug 20 2019, 11:12 PM
bu5hm4n requested review of this revision.Aug 20 2019, 11:12 PM
cedric accepted this revision.Aug 21 2019, 11:41 AM
This revision is now accepted and ready to land.Aug 21 2019, 11:41 AM
zmike accepted this revision.Aug 23 2019, 10:56 AM
Closed by commit rEFL634ebfeaf15b: efl_ui_collection: honor desktop vs. touch setting of elm config (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyAug 26 2019, 5:44 AM
This revision was automatically updated to reflect the committed changes.